#!@SHELL@

if [ ! $TANGO_HOST ] && [ -f @TSD_RC_FILE@ ]; then
   . @TSD_RC_FILE@
fi

JAVALIB=@CMAKE_INSTALL_PREFIX@/share/java;

TANGOATK=$JAVALIB/ATKCore.jar:$JAVALIB/ATKWidget.jar

CLASSPATH=$JAVALIB/JTango.jar:$JAVALIB/Jive.jar:$JAVALIB/Astor.jar:$TANGOATK
export CLASSPATH

LOGBACK=${TANGO_LOGBACK:-@CMAKE_INSTALL_PREFIX@/share/tango/logback.xml}

@TSD_JAVA_EXEC@ \
    -DTANGO_HOST=$TANGO_HOST \
    -Dlogback.configurationFile="$LOGBACK" \
    admin.astor.tools.PollingProfiler \
    "$*"
